import qbs
import qbs.FileInfo

CppApplication {
    cpp.cxxLanguageVersion: "c++11"

    consoleApplication: true
    files: [
        "main.cpp",
    ]

    Group {
        name: "precompiled"
        files: "precompiled.h"
        fileTags: "cpp_pch_src"
    }
    cpp.treatWarningsAsErrors: true

    Group {     // Properties for the produced executable
        fileTagsFilter: "application"
        qbs.install: true
        qbs.installDir: "bin"
    }
}
